OpenNMS API 1.2.9

## org.opennms.web.eventconf.bobject
Class Forward

    java.lang.Object
      org.opennms.web.eventconf.bobject.Forward

All Implemented Interfaces:
  java.lang.Cloneable

Deprecated. Replaced by a Castor-generated implementation.

public class Forward
extends java.lang.Object
implements java.lang.Cloneable

This is a data class for storing snmp event configuration information as parsed from the eventconf.xml file

Version:
  1.1.1.1
Author:
  Jason Johns , OpenNMS
See Also:
  `Forward`

Field Summary
`static int` `FORWARD_MECHANISM_DEFAULT_INDEX` Deprecated. The index into the FORWARD_MECHANISM_VALUES array indicating the default mechanism of the forward.
`static java.lang.String[]` `FORWARD_MECHANISM_VALUES` Deprecated. The different mechanism values for the forwards.
`static int` `FORWARD_STATE_DEFAULT_INDEX` Deprecated. The index into the FORWARD_STATES array indicating the default state of a forward.
`static java.lang.String[]` `FORWARD_STATES` Deprecated. A list of values for forward states.
`private java.lang.String` `m_forward` Deprecated.
`private java.lang.String` `m_mechanism` Deprecated.
`private java.lang.String` `m_state` Deprecated.

Constructor Summary
`Forward()` Deprecated. Default constructor, intializes the member variables.

Method Summary
`java.lang.Object` `clone()` Deprecated.
`java.lang.String` `getForward()` Deprecated.
`java.lang.String` `getMechanism()` Deprecated.
`java.lang.String` `getState()` Deprecated.
`void` `setForward(java.lang.String forward)` Deprecated.
`void` `setMechanism(java.lang.String mechanism)` Deprecated.
`void` `setState(java.lang.String state)` Deprecated.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FORWARD_MECHANISM_VALUES

    public static final java.lang.String[] FORWARD_MECHANISM_VALUES

  Deprecated.
  The different mechanism values for the forwards. If this array changes please update the FORWARD_MECHANISM_DEFAULT_INDEX member if needed.

### FORWARD_MECHANISM_DEFAULT_INDEX

    public static final int FORWARD_MECHANISM_DEFAULT_INDEX

  Deprecated.
  The index into the FORWARD_MECHANISM_VALUES array indicating the default mechanism of the forward. If the values array changes please update this index if needed.

  See Also:
    Constant Field Values

### FORWARD_STATES

    public static final java.lang.String[] FORWARD_STATES

  Deprecated.
  A list of values for forward states. If this array changes please update any of the FORWARD_STATE_DEFAULT_INDEX members if needed.

### FORWARD_STATE_DEFAULT_INDEX

    public static final int FORWARD_STATE_DEFAULT_INDEX

  Deprecated.
  The index into the FORWARD_STATES array indicating the default state of a forward. If the values array changes please update this index if needed.

  See Also:
    Constant Field Values

### m_forward

    private java.lang.String m_forward

  Deprecated.

### m_state

    private java.lang.String m_state

  Deprecated.

### m_mechanism

    private java.lang.String m_mechanism

  Deprecated.

Constructor Detail

### Forward

    public Forward()

  Deprecated.
  Default constructor, intializes the member variables.

Method Detail

### clone

    public java.lang.Object clone()

  Deprecated.

### setForward

    public void setForward(java.lang.String forward)

  Deprecated.

### getForward

    public java.lang.String getForward()

  Deprecated.

### setState

    public void setState(java.lang.String state)

  Deprecated.

### getState

    public java.lang.String getState()

  Deprecated.

### setMechanism

    public void setMechanism(java.lang.String mechanism)

  Deprecated.

### getMechanism

    public java.lang.String getMechanism()

  Deprecated.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.